@tailwind base;
@tailwind components;
@tailwind utilities;

/*
 * Colors
 */

/* Variables */
:root {
  --blue: #508ff4;
  --grey: #8890b5;
  --purple: #9267ff;
}

/* Classes */
.blue { color: var(--blue)!important; }
.bg-blue { background: var(--blue)!important; }
.border-blue { border-color: var(--blue)!important; }
.grey { color: var(--grey)!important; }
.bg-grey { background: var(--grey)!important; }
.border-grey { border-color: var(--grey)!important; }
.purple { color: var(--purple)!important; }
.bg-purple { background: var(--purple)!important; }
.border-purple { border-color: var(--purple)!important; }

/*
 * End of Colors
 */

/* Global styles */
* {
  font-family: 'Courier New', monospace;;
}

/*
 * Wrapper layouts
 */

html {
  height: 100%;
  width: 100%;

  background: #f5f6ff;
  display: flex;
  justify-content: center;
  align-items: center;

  overflow: hidden;
}

body {
  height: 90vh;
  flex-basis: 90vw;

  background: #fff;
  border-radius: 25px;

  overflow: hidden;
}

#__next {
  height: 100%;
  width: 100%;
  padding: 15px 5px;
  overflow: scroll;
}

/*
 * End of Wrapper layouts
 */
